Get a Planned Gift
curl --request GET \
--url https://api.virtuoussoftware.com/api/PlannedGift/{plannedGiftId} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.virtuoussoftware.com/api/PlannedGift/{plannedGiftId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.virtuoussoftware.com/api/PlannedGift/{plannedGiftId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)using RestSharp;
var options = new RestClientOptions("https://api.virtuoussoftware.com/api/PlannedGift/{plannedGiftId}");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
var response = await client.GetAsync(request);
Console.WriteLine("{0}", response.Content);
<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.virtuoussoftware.com/api/PlannedGift/{plannedGiftId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}HttpResponse<String> response = Unirest.get("https://api.virtuoussoftware.com/api/PlannedGift/{plannedGiftId}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.virtuoussoftware.com/api/PlannedGift/{plannedGiftId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_bodyconst url = 'https://api.virtuoussoftware.com/api/PlannedGift/{plannedGiftId}';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));{
"id": 850500,
"contactIndividualId": 200234,
"contactIndividualUrl": "https://api.virtuoussoftware.com/api/ContactIndividual/200234",
"thankYouDate": "9/15/2026",
"plannedGiftUrl": "https://api.virtuoussoftware.com/api/PlannedGift/850500",
"giftsAppliedUrl": "https://api.virtuoussoftware.com/api/PlannedGift/850500/Gifts",
"contactId": 100234,
"contactUrl": "https://api.virtuoussoftware.com/api/Contact/100234",
"plannedGiftDate": "2025-06-01",
"pkannedGiftType": "Bequest",
"frequency": "One Time",
"anticipatedAmount": "100000.00",
"anticipatedStartDate": "2035-01-01",
"numberOfOccurrences": 1,
"currentValue": "100000.00",
"fulfilled": "false",
"projectId": 1001,
"project": "General Fund",
"projectUrl": "https://api.virtuoussoftware.com/api/Project/1001",
"segmentId": null,
"segment": null,
"segmentUrl": null,
"createDateTimeUtc": "2025-06-01T10:00:00Z",
"createdByUser": "Development Team",
"modifiedDateTimeUtc": "2025-06-01T10:00:00Z",
"modifiedByUser": "Development Team",
"customFields": []
}{
"message": "Authorization has been denied for this request."
}{
"message": "You do not have permission to perform this action."
}{
"message": "Rate limit exceeded. Try again later."
}Giving
Get a Planned Gift
Returns a single planned gift, including its type, frequency, anticipated amount, current value, and the project and segment it is tied to.
GET
/
api
/
PlannedGift
/
{plannedGiftId}
Get a Planned Gift
curl --request GET \
--url https://api.virtuoussoftware.com/api/PlannedGift/{plannedGiftId} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.virtuoussoftware.com/api/PlannedGift/{plannedGiftId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.virtuoussoftware.com/api/PlannedGift/{plannedGiftId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)using RestSharp;
var options = new RestClientOptions("https://api.virtuoussoftware.com/api/PlannedGift/{plannedGiftId}");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
var response = await client.GetAsync(request);
Console.WriteLine("{0}", response.Content);
<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.virtuoussoftware.com/api/PlannedGift/{plannedGiftId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}HttpResponse<String> response = Unirest.get("https://api.virtuoussoftware.com/api/PlannedGift/{plannedGiftId}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.virtuoussoftware.com/api/PlannedGift/{plannedGiftId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_bodyconst url = 'https://api.virtuoussoftware.com/api/PlannedGift/{plannedGiftId}';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));{
"id": 850500,
"contactIndividualId": 200234,
"contactIndividualUrl": "https://api.virtuoussoftware.com/api/ContactIndividual/200234",
"thankYouDate": "9/15/2026",
"plannedGiftUrl": "https://api.virtuoussoftware.com/api/PlannedGift/850500",
"giftsAppliedUrl": "https://api.virtuoussoftware.com/api/PlannedGift/850500/Gifts",
"contactId": 100234,
"contactUrl": "https://api.virtuoussoftware.com/api/Contact/100234",
"plannedGiftDate": "2025-06-01",
"pkannedGiftType": "Bequest",
"frequency": "One Time",
"anticipatedAmount": "100000.00",
"anticipatedStartDate": "2035-01-01",
"numberOfOccurrences": 1,
"currentValue": "100000.00",
"fulfilled": "false",
"projectId": 1001,
"project": "General Fund",
"projectUrl": "https://api.virtuoussoftware.com/api/Project/1001",
"segmentId": null,
"segment": null,
"segmentUrl": null,
"createDateTimeUtc": "2025-06-01T10:00:00Z",
"createdByUser": "Development Team",
"modifiedDateTimeUtc": "2025-06-01T10:00:00Z",
"modifiedByUser": "Development Team",
"customFields": []
}{
"message": "Authorization has been denied for this request."
}{
"message": "You do not have permission to perform this action."
}{
"message": "Rate limit exceeded. Try again later."
}Authorizations
Response
OK
Was this page helpful?